#! /bin/sh
##  $Revision: 1.10 $
##  Script to make INN directories.

PATHNEWS=/usr/local/news
PATHBIN=${PATHNEWS}/bin
PATHETC=/usr/local/news/etc
PATHLIB=/usr/local/news/lib
PATHCONTROL=${PATHBIN}/control
PATHFILTER=${PATHBIN}/filter
PATHRUN=/usr/local/news/run
PATHLOG=/usr/local/news/log
PATHDB=/usr/local/news/db
PATHSPOOL=/usr/local/news/spool
PATHARTICLES=${PATHSPOOL}/articles
PATHOVERVIEW=${PATHSPOOL}/overview
PATHOUTGOING=${PATHSPOOL}/outgoing
PATHINCOMING=${PATHSPOOL}/incoming
PATHARCHIVE=${PATHSPOOL}/archive
PATHUNIOVER=${PATHSPOOL}/uniover
PATHTAPE=${PATHSPOOL}/innfeed
PATHMAN=${PATHNEWS}/man
PATHTMP=/usr/local/news/tmp

##  Some systems don't support -x, so we have to use -f.
CHOWN=chown
if [ ${CHOWN} = chown ] ; then
    if [ -f /sbin/chown ] ; then
	CHOWN=/sbin/chown
    else
	if [ -f /etc/chown ] ; then
	    CHOWN=/etc/chown
	else
	    if [ -f /usr/etc/chown ] ; then
		CHOWN=/usr/etc/chown
	    fi
	fi
    fi
fi

MAN1=${PATHMAN}/man1
MAN3=${PATHMAN}/man3
MAN5=${PATHMAN}/man5
MAN8=${PATHMAN}/man8
MAN=`echo $MAN8 | sed -e 's@\(.*\)/[^/]*@\1@'`

NEWSUSER=news
NEWSGROUP=news

PFLAG="$1"
umask 0
set -x

for F in \
	${PATHNEWS}  \
	${PATHMAN} ${MAN} ${MAN1} ${MAN3} ${MAN5} ${MAN8} \
	${PATHBIN} ${PATHETC} ${PATHCONTROL} ${PATHFILTER} \
	${PATHRUN} ${PATHDB} ${PATHTMP} ${PATHLOCAL} \
	${PATHSPOOL} ${PATHARTICLES} ${PATHOVERVIEW} ${PATHARCHIVE} \
	${PATHINCOMING} ${PATHOUTGOING} ${PATHINCOMING}/bad \
	${PATHUNIOVER} ${PATHTAPE} ${PATHLIB} \
	${PATHLOG} ${PATHLOG}/OLD ${PATHBIN}/rnews.libexec ${PATHBIN}/auth ; do
    if [ ! -d ${DESTDIR}${F} ] ; then
	mkdir ${PFLAG} ${DESTDIR}${F} || exit 1
	${CHOWN} ${NEWSUSER} ${DESTDIR}${F} || exit 1
	chgrp ${NEWSGROUP} ${DESTDIR}${F} || exit 1
	case ${F} in
	${PATHRUN})
	    chmod 0770 ${DESTDIR}${F} || exit 1
	    ;;
	*)
	    chmod 0775 ${DESTDIR}${F} || exit 1
	    ;;
	esac
    fi

done

exit 0
